﻿using AppLauncher.Models;
using RyzStudio.Windows.ThemedForms;
using System;

namespace AppLauncher.Windows.Forms
{
    public class EditListTileForm : TDialogForm
    {
        public static void ShowDialog(TilePanel panel)
        {
            EditListTileForm form = new EditListTileForm(panel);
            form.ShowDialog();
        }

        private System.Windows.Forms.Label label1;
        private TButton button1;
        private RyzStudio.Windows.Forms.HorizontalSeparator horizontalSeparator2;
        private TTextBox textBox1;
        private TListBox tListBox1;
        private System.Windows.Forms.Label label2;
        private TButton tButton1;
        private TButton tButton2;
        private TButton tButton3;
        private TButton tButton4;
        protected TilePanel parentPanel = null;

        public EditListTileForm() : base()
        {
            InitializeComponent();
        }

        public EditListTileForm(TilePanel panel) : base()
        {
            parentPanel = panel;

            InitializeComponent();
        }

        private void InitializeComponent()
        {
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(EditListTileForm));
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle1 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle2 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle3 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle4 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle5 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle6 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle7 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle8 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle9 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle10 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle11 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle12 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle13 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle14 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            RyzStudio.Windows.ThemedForms.TButton.ButtonStyle buttonStyle15 = new RyzStudio.Windows.ThemedForms.TButton.ButtonStyle();
            this.textBox1 = new RyzStudio.Windows.ThemedForms.TTextBox();
            this.label1 = new System.Windows.Forms.Label();
            this.button1 = new RyzStudio.Windows.ThemedForms.TButton();
            this.horizontalSeparator2 = new RyzStudio.Windows.Forms.HorizontalSeparator();
            this.tListBox1 = new RyzStudio.Windows.ThemedForms.TListBox();
            this.label2 = new System.Windows.Forms.Label();
            this.tButton1 = new RyzStudio.Windows.ThemedForms.TButton();
            this.tButton2 = new RyzStudio.Windows.ThemedForms.TButton();
            this.tButton3 = new RyzStudio.Windows.ThemedForms.TButton();
            this.tButton4 = new RyzStudio.Windows.ThemedForms.TButton();
            ((System.ComponentModel.ISupportInitialize)(this.imgbxClose)).BeginInit();
            this.SuspendLayout();
            // 
            // imgbxClose
            // 
            this.imgbxClose.Image = ((System.Drawing.Image)(resources.GetObject("imgbxClose.Image")));
            this.imgbxClose.Location = new System.Drawing.Point(367, 5);
            // 
            // lblDescription
            // 
            this.lblDescription.Size = new System.Drawing.Size(359, 30);
            this.lblDescription.Text = "Edit List Tile";
            // 
            // panel1
            // 
            this.panel1.Location = new System.Drawing.Point(394, 474);
            // 
            // area1
            // 
            this.area1.Location = new System.Drawing.Point(1, 474);
            this.area1.Size = new System.Drawing.Size(392, 5);
            // 
            // textBox1
            // 
            this.textBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.textBox1.BackColor = System.Drawing.Color.Transparent;
            this.textBox1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F);
            this.textBox1.Location = new System.Drawing.Point(159, 50);
            this.textBox1.Margin = new System.Windows.Forms.Padding(10, 6, 10, 6);
            this.textBox1.Name = "textBox1";
            this.textBox1.Padding = new System.Windows.Forms.Padding(10, 10, 9, 9);
            this.textBox1.Size = new System.Drawing.Size(220, 32);
            this.textBox1.SubmitButton = null;
            this.textBox1.TabIndex = 152;
            this.textBox1.UseSystemPasswordChar = false;
            // 
            // label1
            // 
            this.label1.BackColor = System.Drawing.Color.Transparent;
            this.label1.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(95)))), ((int)(((byte)(99)))), ((int)(((byte)(104)))));
            this.label1.Location = new System.Drawing.Point(18, 50);
            this.label1.Margin = new System.Windows.Forms.Padding(0);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(131, 32);
            this.label1.TabIndex = 153;
            this.label1.Text = "Title";
            this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // button1
            // 
            this.button1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.button1.BackColor = System.Drawing.Color.Transparent;
            this.button1.DefaultImage = null;
            this.button1.DownImage = null;
            this.button1.LabelText = "&Save";
            this.button1.Location = new System.Drawing.Point(251, 427);
            this.button1.Name = "button1";
            this.button1.OverImage = null;
            this.button1.Padding = new System.Windows.Forms.Padding(4, 4, 3, 3);
            this.button1.Size = new System.Drawing.Size(128, 32);
            buttonStyle1.BackColour = System.Drawing.Color.White;
            buttonStyle1.ForeImage = null;
            buttonStyle1.PenColour = System.Drawing.Color.Black;
            this.button1.StyleDefault = buttonStyle1;
            buttonStyle2.BackColour = System.Drawing.Color.FromArgb(((int)(((byte)(179)))), ((int)(((byte)(179)))), ((int)(((byte)(179)))));
            buttonStyle2.ForeImage = null;
            buttonStyle2.PenColour = System.Drawing.Color.Black;
            this.button1.StyleDown = buttonStyle2;
            buttonStyle3.BackColour = System.Drawing.Color.FromArgb(((int)(((byte)(51)))), ((int)(((byte)(51)))), ((int)(((byte)(51)))));
            buttonStyle3.ForeImage = null;
            buttonStyle3.PenColour = System.Drawing.Color.White;
            this.button1.StyleOver = buttonStyle3;
            this.button1.TabIndex = 173;
            this.button1.Click += new System.EventHandler(this.button1_Click);
            // 
            // horizontalSeparator2
            // 
            this.horizontalSeparator2.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.horizontalSeparator2.Location = new System.Drawing.Point(10, 92);
            this.horizontalSeparator2.MaximumSize = new System.Drawing.Size(4920, 2);
            this.horizontalSeparator2.Name = "horizontalSeparator2";
            this.horizontalSeparator2.Size = new System.Drawing.Size(380, 2);
            this.horizontalSeparator2.TabIndex = 177;
            // 
            // tListBox1
            // 
            this.tListBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.tListBox1.BackColor = System.Drawing.Color.Transparent;
            this.tListBox1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F);
            this.tListBox1.Location = new System.Drawing.Point(159, 101);
            this.tListBox1.Margin = new System.Windows.Forms.Padding(10, 4, 10, 4);
            this.tListBox1.Name = "tListBox1";
            this.tListBox1.Padding = new System.Windows.Forms.Padding(10, 6, 7, 5);
            this.tListBox1.Size = new System.Drawing.Size(220, 180);
            this.tListBox1.SubmitButton = null;
            this.tListBox1.TabIndex = 180;
            // 
            // label2
            // 
            this.label2.BackColor = System.Drawing.Color.Transparent;
            this.label2.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(95)))), ((int)(((byte)(99)))), ((int)(((byte)(104)))));
            this.label2.Location = new System.Drawing.Point(18, 104);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(131, 32);
            this.label2.TabIndex = 181;
            this.label2.Text = "List";
            this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // tButton1
            // 
            this.tButton1.BackColor = System.Drawing.Color.Transparent;
            this.tButton1.DefaultImage = global::AppLauncher.Resource1.plus;
            this.tButton1.DownImage = global::AppLauncher.Resource1.plus2;
            this.tButton1.LabelText = "";
            this.tButton1.Location = new System.Drawing.Point(159, 288);
            this.tButton1.Name = "tButton1";
            this.tButton1.OverImage = global::AppLauncher.Resource1.plus2;
            this.tButton1.Padding = new System.Windows.Forms.Padding(4, 4, 3, 3);
            this.tButton1.Size = new System.Drawing.Size(32, 32);
            buttonStyle4.BackColour = System.Drawing.Color.White;
            buttonStyle4.ForeImage = null;
            buttonStyle4.PenColour = System.Drawing.Color.Black;
            this.tButton1.StyleDefault = buttonStyle4;
            buttonStyle5.BackColour = System.Drawing.Color.FromArgb(((int)(((byte)(179)))), ((int)(((byte)(179)))), ((int)(((byte)(179)))));
            buttonStyle5.ForeImage = null;
            buttonStyle5.PenColour = System.Drawing.Color.Black;
            this.tButton1.StyleDown = buttonStyle5;
            buttonStyle6.BackColour = System.Drawing.Color.FromArgb(((int)(((byte)(51)))), ((int)(((byte)(51)))), ((int)(((byte)(51)))));
            buttonStyle6.ForeImage = null;
            buttonStyle6.PenColour = System.Drawing.Color.White;
            this.tButton1.StyleOver = buttonStyle6;
            this.tButton1.TabIndex = 182;
            // 
            // tButton2
            // 
            this.tButton2.BackColor = System.Drawing.Color.Transparent;
            this.tButton2.DefaultImage = null;
            this.tButton2.DownImage = null;
            this.tButton2.LabelText = "";
            this.tButton2.Location = new System.Drawing.Point(197, 288);
            this.tButton2.Name = "tButton2";
            this.tButton2.OverImage = null;
            this.tButton2.Padding = new System.Windows.Forms.Padding(4, 4, 3, 3);
            this.tButton2.Size = new System.Drawing.Size(32, 32);
            buttonStyle7.BackColour = System.Drawing.Color.White;
            buttonStyle7.ForeImage = null;
            buttonStyle7.PenColour = System.Drawing.Color.Black;
            this.tButton2.StyleDefault = buttonStyle7;
            buttonStyle8.BackColour = System.Drawing.Color.FromArgb(((int)(((byte)(179)))), ((int)(((byte)(179)))), ((int)(((byte)(179)))));
            buttonStyle8.ForeImage = null;
            buttonStyle8.PenColour = System.Drawing.Color.Black;
            this.tButton2.StyleDown = buttonStyle8;
            buttonStyle9.BackColour = System.Drawing.Color.FromArgb(((int)(((byte)(51)))), ((int)(((byte)(51)))), ((int)(((byte)(51)))));
            buttonStyle9.ForeImage = null;
            buttonStyle9.PenColour = System.Drawing.Color.White;
            this.tButton2.StyleOver = buttonStyle9;
            this.tButton2.TabIndex = 183;
            // 
            // tButton3
            // 
            this.tButton3.BackColor = System.Drawing.Color.Transparent;
            this.tButton3.DefaultImage = null;
            this.tButton3.DownImage = null;
            this.tButton3.LabelText = "";
            this.tButton3.Location = new System.Drawing.Point(235, 288);
            this.tButton3.Name = "tButton3";
            this.tButton3.OverImage = null;
            this.tButton3.Padding = new System.Windows.Forms.Padding(4, 4, 3, 3);
            this.tButton3.Size = new System.Drawing.Size(32, 32);
            buttonStyle10.BackColour = System.Drawing.Color.White;
            buttonStyle10.ForeImage = null;
            buttonStyle10.PenColour = System.Drawing.Color.Black;
            this.tButton3.StyleDefault = buttonStyle10;
            buttonStyle11.BackColour = System.Drawing.Color.FromArgb(((int)(((byte)(179)))), ((int)(((byte)(179)))), ((int)(((byte)(179)))));
            buttonStyle11.ForeImage = null;
            buttonStyle11.PenColour = System.Drawing.Color.Black;
            this.tButton3.StyleDown = buttonStyle11;
            buttonStyle12.BackColour = System.Drawing.Color.FromArgb(((int)(((byte)(51)))), ((int)(((byte)(51)))), ((int)(((byte)(51)))));
            buttonStyle12.ForeImage = null;
            buttonStyle12.PenColour = System.Drawing.Color.White;
            this.tButton3.StyleOver = buttonStyle12;
            this.tButton3.TabIndex = 184;
            // 
            // tButton4
            // 
            this.tButton4.BackColor = System.Drawing.Color.Transparent;
            this.tButton4.DefaultImage = null;
            this.tButton4.DownImage = null;
            this.tButton4.LabelText = "";
            this.tButton4.Location = new System.Drawing.Point(273, 288);
            this.tButton4.Name = "tButton4";
            this.tButton4.OverImage = null;
            this.tButton4.Padding = new System.Windows.Forms.Padding(4, 4, 3, 3);
            this.tButton4.Size = new System.Drawing.Size(32, 32);
            buttonStyle13.BackColour = System.Drawing.Color.White;
            buttonStyle13.ForeImage = null;
            buttonStyle13.PenColour = System.Drawing.Color.Black;
            this.tButton4.StyleDefault = buttonStyle13;
            buttonStyle14.BackColour = System.Drawing.Color.FromArgb(((int)(((byte)(179)))), ((int)(((byte)(179)))), ((int)(((byte)(179)))));
            buttonStyle14.ForeImage = null;
            buttonStyle14.PenColour = System.Drawing.Color.Black;
            this.tButton4.StyleDown = buttonStyle14;
            buttonStyle15.BackColour = System.Drawing.Color.FromArgb(((int)(((byte)(51)))), ((int)(((byte)(51)))), ((int)(((byte)(51)))));
            buttonStyle15.ForeImage = null;
            buttonStyle15.PenColour = System.Drawing.Color.White;
            this.tButton4.StyleOver = buttonStyle15;
            this.tButton4.TabIndex = 185;
            // 
            // EditListTileForm
            // 
            this.ClientSize = new System.Drawing.Size(400, 480);
            this.Controls.Add(this.tButton4);
            this.Controls.Add(this.tButton3);
            this.Controls.Add(this.tButton2);
            this.Controls.Add(this.tButton1);
            this.Controls.Add(this.label2);
            this.Controls.Add(this.tListBox1);
            this.Controls.Add(this.horizontalSeparator2);
            this.Controls.Add(this.button1);
            this.Controls.Add(this.label1);
            this.Controls.Add(this.textBox1);
            this.Description = "Edit List Tile";
            this.Name = "EditListTileForm";
            this.Controls.SetChildIndex(this.imgbxClose, 0);
            this.Controls.SetChildIndex(this.lblDescription, 0);
            this.Controls.SetChildIndex(this.panel1, 0);
            this.Controls.SetChildIndex(this.area1, 0);
            this.Controls.SetChildIndex(this.textBox1, 0);
            this.Controls.SetChildIndex(this.label1, 0);
            this.Controls.SetChildIndex(this.button1, 0);
            this.Controls.SetChildIndex(this.horizontalSeparator2, 0);
            this.Controls.SetChildIndex(this.tListBox1, 0);
            this.Controls.SetChildIndex(this.label2, 0);
            this.Controls.SetChildIndex(this.tButton1, 0);
            this.Controls.SetChildIndex(this.tButton2, 0);
            this.Controls.SetChildIndex(this.tButton3, 0);
            this.Controls.SetChildIndex(this.tButton4, 0);
            ((System.ComponentModel.ISupportInitialize)(this.imgbxClose)).EndInit();
            this.ResumeLayout(false);

        }

        protected override void OnShown(EventArgs e)
        {
            base.OnShown(e);

            if (parentPanel != null)
            {
                textBox1.Text = parentPanel.ModelInfo.Title;
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            TileModel model = new TileModel()
            {
                Title = textBox1.Text?.Trim(),
                IsGroup = true
            };

            parentPanel.LoadInfo(model);

            this.Close();
        }

    }
}